Subject: Re: bug#23233: 25.0.92; Crash after doing much work in Proof General

From: Eli Zaretskii <[email-masked]>
Date: Thu, 07 Apr 2016 05:45:13 +0300

> From: Lars Magne Ingebrigtsen <[email-masked]>
> Date: Thu, 07 Apr 2016 00:13:05 +0200
> 
> Well, an infinite hook recursion still shouldn't make Emacs crash.

Infinite recursion will crash any program due to stack overflow.

> The backtrace reminded me a bit about the known gc recursion bug that I
> can't remember the recipe for right now -- it was something about if you
> (setcar foo foo), then Emacs will segfault when trying to gc?  I forget
> the details, but it's in the debbugs somewhere.  :-)

I don't think this is what happened in this case.  If indeed the stack
was exhausted (by having ~1000 call frames before GC started), the
crash has nothing to do with GC itself, except that GC is inherently
recursive.